import { OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { AlertController } from './alert-controller';
export declare class AlertComponent implements OnInit, OnDestroy {
    private alertController;
    show: boolean;
    title: string | TemplateRef<any>;
    content: string | TemplateRef<any>;
    btnText: string;
    readonly titleIsString: boolean;
    readonly contentIsString: boolean;
    private sub;
    constructor(alertController: AlertController);
    ngOnInit(): void;
    ngOnDestroy(): void;
    checked(): void;
    hide(): void;
}
